/// <reference types="node" />
import { IDeSer } from './deser';
export declare class BsonDeSer implements IDeSer {
    private caching;
    constructor(caching?: boolean);
    serialize(value: unknown): Buffer;
    deserialize(buffer: Buffer): unknown;
}
